POST /api/v202105/fileStore/fileDataType/{fileDataTypeId}/upload

Upload a file

UploadFileV202105
File Data Type File Data Type Id Supported File Types Maximum Size
Image 16 jpg, png, svg, gif, heic 100 MB
PDF 17 pdf 100 MB
Document 18 MS Word (doc, dot, wbk, docx, docm, dotx, dotm, docb)
Excel (xls, xlt, xlm, xlsx, xlsm, xltx, xltm, xlsb, xlw)
PowerPoint (ppt, pot, pps, pptx, pptm, potx, potm, ppsx, ppsm, sldx, sldm)
OpenOffice (odt, ods, odp)
OneNote (one)
Other (rtf, txt, csv, xml)
Zip (zip) 100 MB

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
fileDataTypeId The data type of the file. You can retrieve a list of supported data types by calling the GetFileDataTypes API integer (int32) Required

Query Parameters

Name Description Type Required
fileName The name of the file string Optional

Request Body

Type: string

Example Request Body application/json
"string"

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Type: string

Example Response application/json
"string"